Bug 19607 - Move admin templates JavaScript to the footer: Basic parameters
Summary: Move admin templates JavaScript to the footer: Basic parameters
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19560
Blocks: 17858 19608
  Show dependency treegraph
 
Reported: 2017-11-10 13:19 UTC by Owen Leonard
Modified: 2017-12-20 11:49 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19607: Move admin templates JavaScript to the footer: Basic parameters (11.47 KB, patch)
2017-11-10 13:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19607: Move admin templates JavaScript to the footer: Basic parameters (11.53 KB, patch)
2017-11-10 13:36 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19607: Move admin templates JavaScript to the footer: Basic parameters (12.02 KB, patch)
2017-12-12 13:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19607: Move admin templates JavaScript to the footer: Basic parameters (12.08 KB, patch)
2017-12-13 12:30 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-10 13:19:13 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for the "basic parameters" administration templates.
Comment 1 Owen Leonard 2017-11-10 13:26:39 UTC Comment hidden (obsolete)
Comment 2 Simon Pouchol 2017-11-10 13:36:49 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2017-12-12 13:51:47 UTC
Created attachment 69733 [details] [review]
Bug 19607: Move admin templates JavaScript to the footer: Basic parameters

This patch modifies the staff client catalog-related administration
templates so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Edit: Rebased on Bug 19560
Comment 4 Josef Moravec 2017-12-13 12:30:29 UTC
Created attachment 69776 [details] [review]
Bug 19607: Move admin templates JavaScript to the footer: Basic parameters

This patch modifies the staff client catalog-related administration
templates so that JavaScript is included in the footer instead of the
header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Edit: Rebased on Bug 19560

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2017-12-14 20:17:06 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2017-12-20 11:49:58 UTC
Awesome work all! Enhancement, not backporting for 17.11